/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

File: octvc1_irsc_api_swap.h	

Copyright (c) 2015 Octasic Inc. All rights reserved.	

Description:	

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.	

Release: OCTSDR Software Development Kit OCTSDR_GSM-02.03.00-B572 (2015/08/13)	

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/	
#ifndef __OCTVC1_IRSC_API_SWAP_H__
#define __OCTVC1_IRSC_API_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_swap_hdrs.h"
#include "octvc1_irsc_api.h"

/*********************************  MACROS  **********************************/


#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_IPC_PORT_TYPE_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_IRSC_IPC_PORT_TYPE_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_IPC_PORT_STATE_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_IRSC_IPC_PORT_STATE_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_API_STATS_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_API_STATS * pOCTVC1_IRSC_API_STATS = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_API_STATS)\
	((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulMaxProcessingTimeUs = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulMaxProcessingTimeUs); \
	((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulMinProcessingTimeUs = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulMinProcessingTimeUs); \
	((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulTotalProcessingTimeUs = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulTotalProcessingTimeUs); \
	((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulCmdCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulCmdCnt); \
	((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulL1CacheMissCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulL1CacheMissCnt); \
	((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulTlbCacheMissCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_API_STATS *)pOCTVC1_IRSC_API_STATS)->ulTlbCacheMissCnt); \
}
#else
#define mOCTVC1_IRSC_API_STATS_SWAP( pOCTVC1_IRSC_API_STATS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_SESSION_STATS_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_SESSION_STATS * pOCTVC1_IRSC_SESSION_STATS = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_SESSION_STATS)\
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulLastCmdTimestamp = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulLastCmdTimestamp); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulExpTransactionId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulExpTransactionId); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulAcceptedCmdCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulAcceptedCmdCnt); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulRejectedCmdCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulRejectedCmdCnt); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulRetryCmdCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulRetryCmdCnt); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulResyncCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulResyncCnt); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulSessionCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulSessionCnt); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulEvtSentCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulEvtSentCnt); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulEvtSentErrCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulEvtSentErrCnt); \
	((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulLastEvtTimestamp = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_SESSION_STATS *)pOCTVC1_IRSC_SESSION_STATS)->ulLastEvtTimestamp); \
}
#else
#define mOCTVC1_IRSC_SESSION_STATS_SWAP( pOCTVC1_IRSC_SESSION_STATS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_APPLICATION_TAP_STATE_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_IRSC_APPLICATION_TAP_STATE_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_APPLICATION_TAP_MODE_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_IRSC_APPLICATION_TAP_MODE_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_APPLICATION_TAP_INFO_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_APPLICATION_TAP_INFO * pOCTVC1_IRSC_APPLICATION_TAP_INFO = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_APPLICATION_TAP_INFO)\
	{ mOCTVC1_MODULE_ID_ENUM_SWAP( &((tOCTVC1_IRSC_APPLICATION_TAP_INFO *)pOCTVC1_IRSC_APPLICATION_TAP_INFO)->ulModuleId ); }  \
	((tOCTVC1_IRSC_APPLICATION_TAP_INFO *)pOCTVC1_IRSC_APPLICATION_TAP_INFO)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_APPLICATION_TAP_INFO *)pOCTVC1_IRSC_APPLICATION_TAP_INFO)->hProcess); \
	{ mOCTVC1_TAP_DIRECTION_ENUM_SWAP( &((tOCTVC1_IRSC_APPLICATION_TAP_INFO *)pOCTVC1_IRSC_APPLICATION_TAP_INFO)->ulDirection ); }  \
	((tOCTVC1_IRSC_APPLICATION_TAP_INFO *)pOCTVC1_IRSC_APPLICATION_TAP_INFO)->ulDataSubType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_APPLICATION_TAP_INFO *)pOCTVC1_IRSC_APPLICATION_TAP_INFO)->ulDataSubType); \
}
#else
#define mOCTVC1_IRSC_APPLICATION_TAP_INFO_SWAP( pOCTVC1_IRSC_APPLICATION_TAP_INFO )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_APPLICATION_TAP_STATS_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_APPLICATION_TAP_STATS * pOCTVC1_IRSC_APPLICATION_TAP_STATS = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_APPLICATION_TAP_STATS)\
	{ mOCTVC1_IRSC_APPLICATION_TAP_STATE_ENUM_SWAP( &((tOCTVC1_IRSC_APPLICATION_TAP_STATS *)pOCTVC1_IRSC_APPLICATION_TAP_STATS)->ulState ); }  \
	((tOCTVC1_IRSC_APPLICATION_TAP_STATS *)pOCTVC1_IRSC_APPLICATION_TAP_STATS)->ulFilterIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_APPLICATION_TAP_STATS *)pOCTVC1_IRSC_APPLICATION_TAP_STATS)->ulFilterIndex); \
	((tOCTVC1_IRSC_APPLICATION_TAP_STATS *)pOCTVC1_IRSC_APPLICATION_TAP_STATS)->ulUserId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_APPLICATION_TAP_STATS *)pOCTVC1_IRSC_APPLICATION_TAP_STATS)->ulUserId); \
}
#else
#define mOCTVC1_IRSC_APPLICATION_TAP_STATS_SWAP( pOCTVC1_IRSC_APPLICATION_TAP_STATS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_APPLICATION_TAP_START_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_APPLICATION_TAP_START * pOCTVC1_IRSC_APPLICATION_TAP_START = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_APPLICATION_TAP_START)\
	{ mOCTVC1_IRSC_APPLICATION_TAP_MODE_ENUM_SWAP( &((tOCTVC1_IRSC_APPLICATION_TAP_START *)pOCTVC1_IRSC_APPLICATION_TAP_START)->ulMode ); }  \
	((tOCTVC1_IRSC_APPLICATION_TAP_START *)pOCTVC1_IRSC_APPLICATION_TAP_START)->ulMaxTransportDataSize = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_APPLICATION_TAP_START *)pOCTVC1_IRSC_APPLICATION_TAP_START)->ulMaxTransportDataSize); \
	((tOCTVC1_IRSC_APPLICATION_TAP_START *)pOCTVC1_IRSC_APPLICATION_TAP_START)->ulFilterIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_APPLICATION_TAP_START *)pOCTVC1_IRSC_APPLICATION_TAP_START)->ulFilterIndex); \
	((tOCTVC1_IRSC_APPLICATION_TAP_START *)pOCTVC1_IRSC_APPLICATION_TAP_START)->ulUserId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_APPLICATION_TAP_START *)pOCTVC1_IRSC_APPLICATION_TAP_START)->ulUserId); \
}
#else
#define mOCTVC1_IRSC_APPLICATION_TAP_START_SWAP( pOCTVC1_IRSC_APPLICATION_TAP_START )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_INFO_CMD * pOCTVC1_IRSC_MSG_PROCESS_INFO_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_INFO_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_INFO_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_CMD)->hProcess); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_INFO_RSP * pOCTVC1_IRSC_MSG_PROCESS_INFO_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_INFO_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_INFO_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_RSP)->hProcess); \
	{ mOCTVC1_PROCESS_TYPE_ENUM_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_INFO_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_RSP)->ulType ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD * pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->ulResetProcessStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->ulResetProcessStatsFlag); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->ulResetIpcStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->ulResetIpcStatsFlag); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->ulResetTaskStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD)->ulResetTaskStatsFlag); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_STATS_RSP * pOCTVC1_IRSC_MSG_PROCESS_STATS_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_STATS_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_RSP)->hProcess); \
	{ mOCTVC1_PROCESS_STATE_ENUM_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_RSP)->State ); }  \
	{ mOCTVC1_PROCESS_ERROR_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_RSP)->Error ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_LIST_CMD * pOCTVC1_IRSC_MSG_PROCESS_LIST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_LIST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_CMD *)pOCTVC1_IRSC_MSG_PROCESS_LIST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_CMD *)pOCTVC1_IRSC_MSG_PROCESS_LIST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_LIST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_LIST_RSP * pOCTVC1_IRSC_MSG_PROCESS_LIST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_LIST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_LIST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD * pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD)->ulPortId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD)->ulPortId); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP * pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulPortId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulPortId); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulUserId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulUserId); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->hRemoteProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->hRemoteProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulRemotePortId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulRemotePortId); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulRemoteUserId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulRemoteUserId); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulPortIdx = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulPortIdx); \
	{ mOCTVC1_IRSC_IPC_PORT_TYPE_ENUM_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulType ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulSystemFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulSystemFlag); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulGhostFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulGhostFlag); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulRecvMsgNum = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulRecvMsgNum); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulRecvMsgSize = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP)->ulRecvMsgSize); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD * pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD)->ulPortId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD)->ulPortId); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP * pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulPortId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulPortId); \
	{ mOCTVC1_IRSC_IPC_PORT_STATE_ENUM_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulState ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulSendMsgCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulSendMsgCnt); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulRecvMsgCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulRecvMsgCnt); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulRecvMsgMissCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP)->ulRecvMsgMissCnt); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD * pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD *)pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD)->SubObjectIdGet ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP * pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP)->SubObjectIdGet ); }  \
	{ mOCTVC1_LIST_HANDLE_OBJECT_GET_SUB_OBJECT_ID_NAME_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD * pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD)->ulTaskIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD)->ulTaskIndex); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP * pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP)->ulTaskIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP)->ulTaskIndex); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD * pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD)->ulTaskIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD)->ulTaskIndex); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP * pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP)->hProcess); \
	((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP)->ulTaskIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP)->ulTaskIndex); \
	{ mOCTVC1_PROCESS_TASK_STATS_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP)->Stats ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD * pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD *)pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD)->SubObjectIdGet ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD_SWAP( pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP * pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP)->SubObjectIdGet ); }  \
	{ mOCTVC1_LIST_HANDLE_OBJECT_GET_SUB_OBJECT_ID_NAME_SWAP( &((tOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP *)pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP_SWAP( pOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD * pOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD)->ulObjType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD)->ulObjType); \
}
#else
#define mOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD_SWAP( pOCTVC1_IRSC_MSG_OBJMGR_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP * pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP)->ulObjType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP)->ulObjType); \
	((tOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP)->ulMaxNumObj = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP)->ulMaxNumObj); \
	((tOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP)->ulObjByteSize = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP)->ulObjByteSize); \
}
#else
#define mOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP_SWAP( pOCTVC1_IRSC_MSG_OBJMGR_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD * pOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD)->ulObjType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD)->ulObjType); \
}
#else
#define mOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD_SWAP( pOCTVC1_IRSC_MSG_OBJMGR_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP * pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP)->ulObjType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP)->ulObjType); \
	((tOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP)->ulMaxNumObj = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP)->ulMaxNumObj); \
	((tOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP)->ulNumObj = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP)->ulNumObj); \
}
#else
#define mOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP_SWAP( pOCTVC1_IRSC_MSG_OBJMGR_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD * pOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD *)pOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD *)pOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD_SWAP( pOCTVC1_IRSC_MSG_OBJMGR_LIST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP * pOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP *)pOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP_SWAP( pOCTVC1_IRSC_MSG_OBJMGR_LIST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_RSP)->Header ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CMD)->Header ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_RSP)->Header ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP)->ObjectList ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD)->hCmdId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD)->hCmdId); \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP)->hCmdId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP)->hCmdId); \
	{ mOCTVC1_IRSC_API_STATS_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP)->CommandStats ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_INDEX_GET_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD)->IndexGet ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_INDEX_GET_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP)->IndexGet ); }  \
	{ mOCTVC1_LIST_INDEX_GET_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP)->IndexList ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD)->ulSessionIndex); \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP)->ulSessionIndex); \
	{ mOCTVC1_API_SESSION_INFO_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP)->SessionInfo ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD)->ulSessionIndex); \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP)->ulSessionIndex); \
	{ mOCTVC1_IRSC_SESSION_STATS_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP)->SessionStats ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD)->ulSessionIndex); \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP)->ulSessionIndex); \
	{ mOCTVC1_API_SESSION_EVT_INFO_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP)->EvtInfo ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD * pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD)->ulSessionIndex); \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP * pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP)->ulSessionIndex); \
	{ mOCTVC1_IRSC_API_STATS_SWAP( &((tOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP *)pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP)->Stats ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP_SWAP( pOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD * pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP * pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD * pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD)->hTapId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD)->hTapId); \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP * pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP)->hTapId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP)->hTapId); \
	{ mOCTVC1_IRSC_APPLICATION_TAP_INFO_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP)->Info ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD * pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD)->hTapId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD)->hTapId); \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP * pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP)->hTapId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP)->hTapId); \
	{ mOCTVC1_IRSC_APPLICATION_TAP_STATS_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP)->Stats ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD * pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD)->hTapId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD)->hTapId); \
	{ mOCTVC1_IRSC_APPLICATION_TAP_START_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD)->Start ); }  \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP * pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP)->hTapId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP)->hTapId); \
	((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP)->hLogicalObj = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP)->hLogicalObj); \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_START_TAP_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD * pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD)->Header ); }  \
	((tOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD)->hTapId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD *)pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD)->hTapId); \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP_SWAP( _f_pParms ){ 	tOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP * pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP)->Header ); }  \
	((tOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP)->hTapId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP *)pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP)->hTapId); \
}
#else
#define mOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP_SWAP( pOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_IRSC_API_SWAP_H__ */
