/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: octvc1_id2string.h

Copyright (c) 2015 Octasic Inc. All rights reserved.

Description:

This file contains the id2string implementation for package OCTVC1

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Release: OCTSDR Software Development Kit OCTSDR_GSM-02.03.00-B572 (2015/08/13)

$Revision:  $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/


#ifndef __OCTVC1_ID2STRING__
#define __OCTVC1_ID2STRING__

#include "../octdev_types.h"
/* -------------------------------------------------------------------------------------
	OCTVC1_ID2STRING
   -------------------------------------------------------------------------------------*/
#define mOCTVC1_ID2STRING( _f_ulId ) \
	octvc1_id2string( _f_ulId )

#ifndef OCTVC1_ID2STRING_DECLARE
extern const char * octvc1_id2string( tOCT_UINT32 f_ulId );
#endif 


#ifdef OCTVC1_ID2STRING_DECLARE
#include <stdio.h>
#include "main/octvc1_main_id.h"
#include "hw/octvc1_hw_id.h"
#include "irsc/octvc1_irsc_id.h"
#include "gsm/octvc1_gsm_id.h"


/* -------------------------------------------------------------------------------------
	octvc1_id2string
   -------------------------------------------------------------------------------------*/
const char * octvc1_id2string( tOCT_UINT32 f_ulId )
{
	static char g_szUnknownoctvc1_id2string[32];
	switch( f_ulId )
	{
		/* OCTVC1_MAIN */
		case cOCTVC1_MAIN_MSG_TARGET_RESET_CID:
			return "cOCTVC1_MAIN_MSG_TARGET_RESET_CID";
		case cOCTVC1_MAIN_MSG_TARGET_INFO_CID:
			return "cOCTVC1_MAIN_MSG_TARGET_INFO_CID";
		case cOCTVC1_MAIN_MSG_LOG_ERASE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_ERASE_CID";
		case cOCTVC1_MAIN_MSG_LOG_INFO_CID:
			return "cOCTVC1_MAIN_MSG_LOG_INFO_CID";
		case cOCTVC1_MAIN_MSG_LOG_STATS_CID:
			return "cOCTVC1_MAIN_MSG_LOG_STATS_CID";
		case cOCTVC1_MAIN_MSG_LOG_INFO_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_INFO_TRACE_CID";
		case cOCTVC1_MAIN_MSG_LOG_START_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_START_TRACE_CID";
		case cOCTVC1_MAIN_MSG_LOG_STOP_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_STOP_TRACE_CID";
		case cOCTVC1_MAIN_MSG_LOG_ERASE_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_ERASE_TRACE_CID";
		case cOCTVC1_MAIN_MSG_LOG_STATS_TRACE_CID:
			return "cOCTVC1_MAIN_MSG_LOG_STATS_TRACE_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID";
		case cOCTVC1_MAIN_MSG_FILE_OPEN_CID:
			return "cOCTVC1_MAIN_MSG_FILE_OPEN_CID";
		case cOCTVC1_MAIN_MSG_FILE_CLOSE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_CLOSE_CID";
		case cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID";
		case cOCTVC1_MAIN_MSG_FILE_WRITE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_WRITE_CID";
		case cOCTVC1_MAIN_MSG_FILE_READ_CID:
			return "cOCTVC1_MAIN_MSG_FILE_READ_CID";
		case cOCTVC1_MAIN_MSG_FILE_INFO_CID:
			return "cOCTVC1_MAIN_MSG_FILE_INFO_CID";
		case cOCTVC1_MAIN_MSG_FILE_LIST_CID:
			return "cOCTVC1_MAIN_MSG_FILE_LIST_CID";
		case cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID:
			return "cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID";
		case cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_INFO_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_INFO_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_LIST_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_LIST_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_STATS_CPU_USAGE_CID:
			return "cOCTVC1_MAIN_MSG_PROCESS_STATS_CPU_USAGE_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_LIST_SESSION_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_LIST_SESSION_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_INFO_SESSION_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_INFO_SESSION_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_INFO_SESSION_EVT_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_INFO_SESSION_EVT_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_MODIFY_SESSION_EVT_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_MODIFY_SESSION_EVT_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_INFO_SESSION_HEARTBEAT_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_INFO_SESSION_HEARTBEAT_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_STATS_SESSION_HEARTBEAT_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_STATS_SESSION_HEARTBEAT_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_START_SESSION_HEARTBEAT_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_START_SESSION_HEARTBEAT_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_STOP_SESSION_HEARTBEAT_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_STOP_SESSION_HEARTBEAT_CID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_MODIFY_SESSION_HEARTBEAT_CID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_MODIFY_SESSION_HEARTBEAT_CID";
		case cOCTVC1_MAIN_MSG_APPLICATION_START_CID:
			return "cOCTVC1_MAIN_MSG_APPLICATION_START_CID";
		case cOCTVC1_MAIN_MSG_APPLICATION_STOP_CID:
			return "cOCTVC1_MAIN_MSG_APPLICATION_STOP_CID";
		case cOCTVC1_MAIN_MSG_APPLICATION_INFO_CID:
			return "cOCTVC1_MAIN_MSG_APPLICATION_INFO_CID";
		case cOCTVC1_MAIN_MSG_APPLICATION_INFO_SYSTEM_CID:
			return "cOCTVC1_MAIN_MSG_APPLICATION_INFO_SYSTEM_CID";
		case cOCTVC1_MAIN_MSG_APPLICATION_LIST_MODULE_CID:
			return "cOCTVC1_MAIN_MSG_APPLICATION_LIST_MODULE_CID";
		case cOCTVC1_MAIN_MSG_APPLICATION_INFO_MODULE_CID:
			return "cOCTVC1_MAIN_MSG_APPLICATION_INFO_MODULE_CID";
		case cOCTVC1_MAIN_MSG_APPLICATION_STATS_MODULE_CID:
			return "cOCTVC1_MAIN_MSG_APPLICATION_STATS_MODULE_CID";
		case cOCTVC1_MAIN_MSG_FILE_SYSTEM_ADD_FILE_CID:
			return "cOCTVC1_MAIN_MSG_FILE_SYSTEM_ADD_FILE_CID";
		case cOCTVC1_MAIN_MSG_PROCESS_DUMP_EID:
			return "cOCTVC1_MAIN_MSG_PROCESS_DUMP_EID";
		case cOCTVC1_MAIN_MSG_API_SYSTEM_SESSION_HEARTBEAT_EID:
			return "cOCTVC1_MAIN_MSG_API_SYSTEM_SESSION_HEARTBEAT_EID";
		case cOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EID:
			return "cOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EID";
		case cOCTVC1_MAIN_MSG_APPLICATION_STATE_CHANGE_EID:
			return "cOCTVC1_MAIN_MSG_APPLICATION_STATE_CHANGE_EID";
		/* OCTVC1_HW */
		case cOCTVC1_HW_MSG_PCB_INFO_CID:
			return "cOCTVC1_HW_MSG_PCB_INFO_CID";
		case cOCTVC1_HW_MSG_CPU_CORE_STATS_CID:
			return "cOCTVC1_HW_MSG_CPU_CORE_STATS_CID";
		case cOCTVC1_HW_MSG_CPU_CORE_INFO_CID:
			return "cOCTVC1_HW_MSG_CPU_CORE_INFO_CID";
		case cOCTVC1_HW_MSG_CPU_CORE_LIST_CID:
			return "cOCTVC1_HW_MSG_CPU_CORE_LIST_CID";
		case cOCTVC1_HW_MSG_ETH_PORT_INFO_CID:
			return "cOCTVC1_HW_MSG_ETH_PORT_INFO_CID";
		case cOCTVC1_HW_MSG_ETH_PORT_LIST_CID:
			return "cOCTVC1_HW_MSG_ETH_PORT_LIST_CID";
		case cOCTVC1_HW_MSG_ETH_PORT_STATS_CID:
			return "cOCTVC1_HW_MSG_ETH_PORT_STATS_CID";
		case cOCTVC1_HW_MSG_ETH_PORT_MODIFY_CID:
			return "cOCTVC1_HW_MSG_ETH_PORT_MODIFY_CID";
		case cOCTVC1_HW_MSG_RF_PORT_INFO_CID:
			return "cOCTVC1_HW_MSG_RF_PORT_INFO_CID";
		case cOCTVC1_HW_MSG_RF_PORT_STATS_CID:
			return "cOCTVC1_HW_MSG_RF_PORT_STATS_CID";
		case cOCTVC1_HW_MSG_RF_PORT_LIST_CID:
			return "cOCTVC1_HW_MSG_RF_PORT_LIST_CID";
		case cOCTVC1_HW_MSG_RF_PORT_LIST_ANTENNA_CID:
			return "cOCTVC1_HW_MSG_RF_PORT_LIST_ANTENNA_CID";
		case cOCTVC1_HW_MSG_RF_PORT_INFO_ANTENNA_RX_CONFIG_CID:
			return "cOCTVC1_HW_MSG_RF_PORT_INFO_ANTENNA_RX_CONFIG_CID";
		case cOCTVC1_HW_MSG_RF_PORT_INFO_ANTENNA_TX_CONFIG_CID:
			return "cOCTVC1_HW_MSG_RF_PORT_INFO_ANTENNA_TX_CONFIG_CID";
		case cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_INFO_CID:
			return "cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_INFO_CID";
		case cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STATS_CID:
			return "cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STATS_CID";
		case cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_INFO_SOURCE_CID:
			return "cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_INFO_SOURCE_CID";
		case cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_MODIFY_SOURCE_CID:
			return "cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_MODIFY_SOURCE_CID";
		case cOCTVC1_HW_MSG_CPU_CORE_EXEC_REPORT_EID:
			return "cOCTVC1_HW_MSG_CPU_CORE_EXEC_REPORT_EID";
		case cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STATUS_CHANGE_EID:
			return "cOCTVC1_HW_MSG_CLOCK_SYNC_MGR_STATUS_CHANGE_EID";
		/* OCTVC1_IRSC */
		case cOCTVC1_IRSC_MSG_PROCESS_INFO_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_INFO_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_STATS_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_STATS_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_LIST_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_LIST_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_INFO_IPC_PORT_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_STATS_IPC_PORT_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_LIST_IPC_PORT_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_INFO_TASK_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_STATS_TASK_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CID:
			return "cOCTVC1_IRSC_MSG_PROCESS_LIST_TASK_CID";
		case cOCTVC1_IRSC_MSG_OBJMGR_INFO_CID:
			return "cOCTVC1_IRSC_MSG_OBJMGR_INFO_CID";
		case cOCTVC1_IRSC_MSG_OBJMGR_STATS_CID:
			return "cOCTVC1_IRSC_MSG_OBJMGR_STATS_CID";
		case cOCTVC1_IRSC_MSG_OBJMGR_LIST_CID:
			return "cOCTVC1_IRSC_MSG_OBJMGR_LIST_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_START_MONITORING_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_STOP_MONITORING_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_LIST_COMMAND_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_STATS_COMMAND_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_LIST_SESSION_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_INFO_SESSION_EVT_CID";
		case cOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CID:
			return "cOCTVC1_IRSC_MSG_API_SYSTEM_STATS_SESSION_EVT_CID";
		case cOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CID:
			return "cOCTVC1_IRSC_MSG_APPLICATION_LIST_TAP_CID";
		case cOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CID:
			return "cOCTVC1_IRSC_MSG_APPLICATION_INFO_TAP_CID";
		case cOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CID:
			return "cOCTVC1_IRSC_MSG_APPLICATION_STATS_TAP_CID";
		case cOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CID:
			return "cOCTVC1_IRSC_MSG_APPLICATION_START_TAP_CID";
		case cOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CID:
			return "cOCTVC1_IRSC_MSG_APPLICATION_STOP_TAP_CID";
		case cOCTVC1_IRSC_MSG_PROCESS_DUMP_EID:
			return "cOCTVC1_IRSC_MSG_PROCESS_DUMP_EID";
		/* OCTVC1_GSM */
		case cOCTVC1_GSM_MSG_TRX_OPEN_CID:
			return "cOCTVC1_GSM_MSG_TRX_OPEN_CID";
		case cOCTVC1_GSM_MSG_TRX_CLOSE_CID:
			return "cOCTVC1_GSM_MSG_TRX_CLOSE_CID";
		case cOCTVC1_GSM_MSG_TRX_STATUS_CID:
			return "cOCTVC1_GSM_MSG_TRX_STATUS_CID";
		case cOCTVC1_GSM_MSG_TRX_INFO_CID:
			return "cOCTVC1_GSM_MSG_TRX_INFO_CID";
		case cOCTVC1_GSM_MSG_TRX_RESET_CID:
			return "cOCTVC1_GSM_MSG_TRX_RESET_CID";
		case cOCTVC1_GSM_MSG_TRX_MODIFY_CID:
			return "cOCTVC1_GSM_MSG_TRX_MODIFY_CID";
		case cOCTVC1_GSM_MSG_TRX_LIST_CID:
			return "cOCTVC1_GSM_MSG_TRX_LIST_CID";
		case cOCTVC1_GSM_MSG_TRX_CLOSE_ALL_CID:
			return "cOCTVC1_GSM_MSG_TRX_CLOSE_ALL_CID";
		case cOCTVC1_GSM_MSG_TRX_START_RECORD_CID:
			return "cOCTVC1_GSM_MSG_TRX_START_RECORD_CID";
		case cOCTVC1_GSM_MSG_TRX_STOP_RECORD_CID:
			return "cOCTVC1_GSM_MSG_TRX_STOP_RECORD_CID";
		case cOCTVC1_GSM_MSG_TRX_ACTIVATE_LOGICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_ACTIVATE_LOGICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_DEACTIVATE_LOGICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_DEACTIVATE_LOGICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_STATUS_LOGICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_STATUS_LOGICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_INFO_LOGICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_INFO_LOGICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_LIST_LOGICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_LIST_LOGICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_REQUEST_LOGICAL_CHANNEL_EMPTY_FRAME_CID:
			return "cOCTVC1_GSM_MSG_TRX_REQUEST_LOGICAL_CHANNEL_EMPTY_FRAME_CID";
		case cOCTVC1_GSM_MSG_TRX_REQUEST_LOGICAL_CHANNEL_DATA_CID:
			return "cOCTVC1_GSM_MSG_TRX_REQUEST_LOGICAL_CHANNEL_DATA_CID";
		case cOCTVC1_GSM_MSG_TRX_ACTIVATE_PHYSICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_ACTIVATE_PHYSICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_DEACTIVATE_PHYSICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_DEACTIVATE_PHYSICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_STATUS_PHYSICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_STATUS_PHYSICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_RESET_PHYSICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_RESET_PHYSICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_LIST_PHYSICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_LIST_PHYSICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_INFO_PHYSICAL_CHANNEL_CID:
			return "cOCTVC1_GSM_MSG_TRX_INFO_PHYSICAL_CHANNEL_CID";
		case cOCTVC1_GSM_MSG_TRX_MODIFY_PHYSICAL_CHANNEL_CIPHERING_CID:
			return "cOCTVC1_GSM_MSG_TRX_MODIFY_PHYSICAL_CHANNEL_CIPHERING_CID";
		case cOCTVC1_GSM_MSG_TRX_INFO_PHYSICAL_CHANNEL_CIPHERING_CID:
			return "cOCTVC1_GSM_MSG_TRX_INFO_PHYSICAL_CHANNEL_CIPHERING_CID";
		case cOCTVC1_GSM_MSG_TRX_INFO_PHYSICAL_CHANNEL_MEASUREMENT_CID:
			return "cOCTVC1_GSM_MSG_TRX_INFO_PHYSICAL_CHANNEL_MEASUREMENT_CID";
		case cOCTVC1_GSM_MSG_TRX_INFO_RF_CID:
			return "cOCTVC1_GSM_MSG_TRX_INFO_RF_CID";
		case cOCTVC1_GSM_MSG_TRX_MODIFY_RF_CID:
			return "cOCTVC1_GSM_MSG_TRX_MODIFY_RF_CID";
		case cOCTVC1_GSM_MSG_TAP_FILTER_LIST_CID:
			return "cOCTVC1_GSM_MSG_TAP_FILTER_LIST_CID";
		case cOCTVC1_GSM_MSG_TAP_FILTER_INFO_CID:
			return "cOCTVC1_GSM_MSG_TAP_FILTER_INFO_CID";
		case cOCTVC1_GSM_MSG_TAP_FILTER_STATS_CID:
			return "cOCTVC1_GSM_MSG_TAP_FILTER_STATS_CID";
		case cOCTVC1_GSM_MSG_TAP_FILTER_MODIFY_CID:
			return "cOCTVC1_GSM_MSG_TAP_FILTER_MODIFY_CID";
		case cOCTVC1_GSM_MSG_TRX_START_LOGICAL_CHANNEL_RAW_DATA_INDICATIONS_CID:
			return "cOCTVC1_GSM_MSG_TRX_START_LOGICAL_CHANNEL_RAW_DATA_INDICATIONS_CID";
		case cOCTVC1_GSM_MSG_TRX_STOP_LOGICAL_CHANNEL_RAW_DATA_INDICATIONS_CID:
			return "cOCTVC1_GSM_MSG_TRX_STOP_LOGICAL_CHANNEL_RAW_DATA_INDICATIONS_CID";
		case cOCTVC1_GSM_MSG_TRX_REQUEST_LOGICAL_CHANNEL_CMU_LOOPBACK_TEST_CID:
			return "cOCTVC1_GSM_MSG_TRX_REQUEST_LOGICAL_CHANNEL_CMU_LOOPBACK_TEST_CID";
		case cOCTVC1_GSM_MSG_TRX_TIME_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_TRX_TIME_INDICATION_EID";
		case cOCTVC1_GSM_MSG_TRX_STATUS_CHANGE_EID:
			return "cOCTVC1_GSM_MSG_TRX_STATUS_CHANGE_EID";
		case cOCTVC1_GSM_MSG_TRX_LOGICAL_CHANNEL_DATA_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_TRX_LOGICAL_CHANNEL_DATA_INDICATION_EID";
		case cOCTVC1_GSM_MSG_TRX_LOGICAL_CHANNEL_READY_TO_SEND_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_TRX_LOGICAL_CHANNEL_READY_TO_SEND_INDICATION_EID";
		case cOCTVC1_GSM_MSG_TRX_LOGICAL_CHANNEL_RACH_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_TRX_LOGICAL_CHANNEL_RACH_INDICATION_EID";
		case cOCTVC1_GSM_MSG_TRX_LOGICAL_CHANNEL_RAW_DATA_INDICATION_EID:
			return "cOCTVC1_GSM_MSG_TRX_LOGICAL_CHANNEL_RAW_DATA_INDICATION_EID";

		default:
			break;

	}
	sprintf( g_szUnknownoctvc1_id2string, "0x%.8X", f_ulId ); 
	return g_szUnknownoctvc1_id2string;
}
#endif 

#endif /* __OCTVC1_ID2STRING__ */
